Firefox 2.0.0.15 for AIX available - Aix

This is a discussion on Firefox 2.0.0.15 for AIX available - Aix ; Hello, Firefox 2.0.0.15 is released and my builds for AIX 4.3.3 are available. Seamonkey 1.1.10 Firefox 2.0.0.16/Seamonkey 1.1.11 is coming very soon. The first release candidate is under testing at the moment. The release date is expect for about mid ...

+ Reply to Thread
Results 1 to 17 of 17

Thread: Firefox 2.0.0.15 for AIX available

  1. Firefox 2.0.0.15 for AIX available

    Hello,


    Firefox 2.0.0.15 is released and my builds for AIX 4.3.3 are available.


    Seamonkey 1.1.10


    Firefox 2.0.0.16/Seamonkey 1.1.11 is coming very soon. The first release
    candidate is under testing at the moment. The release date is expect for
    about mid July.

    Urgent help request:
    I have grabbed a 450MHz 7044P-170 from ebay for speeding up the builds.
    But unfortunatly it has a GXT4500P graphics adaptor. I need the AIX
    4.3.3 baselevel filesets for the GXT4500P for integration into my LPP
    source and SPOT on my NIM server.

    Have fun with the best available www browser for AIX!

    --
    Uli Link



  2. Re: Firefox 2.0.0.15 for AIX available

    In article <486cbdcd$0$27440$9b4e6d93@newsspool4.arcor-online.net>, Uli Link
    writes:
    > Hello,
    >
    > Urgent help request:
    > I have grabbed a 450MHz 7044P-170 from ebay for speeding up the builds.
    > But unfortunatly it has a GXT4500P graphics adaptor. I need the AIX
    > 4.3.3 baselevel filesets for the GXT4500P for integration into my LPP
    > source and SPOT on my NIM server.


    Are you sure they exist ?
    I've looked at 4.3.3 CDs (base as well as device drivers) of 200x,
    they only support GXT4000/6000.

  3. Re: Firefox 2.0.0.15 for AIX available

    Michael Kraemer schrieb:

    >> Urgent help request:
    >> I have grabbed a 450MHz 7044P-170 from ebay for speeding up the builds.
    >> But unfortunatly it has a GXT4500P graphics adaptor. I need the AIX
    >> 4.3.3 baselevel filesets for the GXT4500P for integration into my LPP
    >> source and SPOT on my NIM server.

    >
    > Are you sure they exist ?
    > I've looked at 4.3.3 CDs (base as well as device drivers) of 200x,
    > they only support GXT4000/6000.


    They are supported from ML9 or later. I have found the updates in my NIM
    lpp source, so if there are updates, there also should be the baselevel
    fileset. But my AIX 4.3.3 edia set is ML2 with an update CD for ML3.
    The seller's description was GXT4000P, that was what I was looking for ;-)

    THX for searching
    --
    Uli Link

  4. Re: Firefox 2.0.0.15 for AIX available

    On Jul 3, 2:58 pm, Uli Link
    wrote:
    ....

    > They are supported from ML9 or later. I have found the updates in my NIM


    IBM stated for their AIX 4.3.3 ML 11 package:
    .....
    Package name: AIX 4.3.3 Maintenance Level 11
    Release date: February 2003
    ....
    This package is a cumulative update package that can be installed on
    previous AIX 4.3.3 levels. It contains code updates and support for
    additional hardware and software features.

    So maybe this ?enhanced? ML11 has the base fileset.

    Package can be found at:
    https://www14.software.ibm.com/webap...11package.html

    hth
    Hajo

    BTW: In case you need a AIX 6.1 test machine just let me know.

  5. Re: Firefox 2.0.0.15 for AIX available

    In article <486ccd0a$0$7534$9b4e6d93@newsspool1.arcor-online.net>, Uli Link
    writes:
    >
    > They are supported from ML9 or later. I have found the updates in my NIM
    > lpp source, so if there are updates, there also should be the baselevel
    > fileset. But my AIX 4.3.3 edia set is ML2 with an update CD for ML3.
    > The seller's description was GXT4000P, that was what I was looking for ;-)
    >


    I spotted it now on a more recent CD set, of 2002:

    devices.pci.14101c02.4.3.3.0.I

    I could send it via PM (it's only 400kB).
    If you need OpenGL and PHIGS stuff, that's a bit more (2x30MB or so).

  6. Re: Firefox 2.0.0.15 for AIX available

    Michael Kraemer schrieb:

    > I spotted it now on a more recent CD set, of 2002:
    >
    > devices.pci.14101c02.4.3.3.0.I


    That's it!

    >
    > I could send it via PM (it's only 400kB).


    This would be fine. If you reply to the newsgroup posting, the PM will
    pass the spam filter. Without matching news posting id, it will be
    marked spam.

    > If you need OpenGL and PHIGS stuff, that's a bit more (2x30MB or so).


    I will set up an SFTP upload for you soon. On my old machines OpenGL
    isn't installed, but with 2GB RAM this doesn't matter.


    Many thanks!

    --
    Uli Link

  7. Re: Firefox 2.0.0.15 for AIX available

    Hajo Ehlers schrieb:

    > So maybe this ?enhanced? ML11 has the base fileset.


    Has not. Have searched ftp.boulder.ibm.com first.

    > BTW: In case you need a AIX 6.1 test machine just let me know.


    Thanks Hajo, but I have no plans for natively targeting AIX 6.1.
    Seamonkey and Firefox both work on AIX 6.1 if the X11R6 compat libs are
    appended to the shared lib search path. The downward binary
    compatibility of AIX is reliable.

    If you could do a quick test with the Firefox 2.0.0.16 and/or Seamonkey
    1.1.11 release candidates this would be fine. Will setup a closed
    usergroup pre-release download area.

    My wife kills me, if there is one more black and noisy box and I cannot
    give away the old. I really love those old RS/6000. Not comparable with
    the recent plastic boxes...

    --
    Uli Link





  8. Re: Firefox 2.0.0.15 for AIX available

    On Jul 3, 4:05 pm, Uli Link
    wrote:
    > Hajo Ehlers schrieb:
    >
    > > So maybe this ?enhanced? ML11 has the base fileset.

    >
    > Has not. Have searched ftp.boulder.ibm.com first.
    >
    > > BTW: In case you need a AIX 6.1 test machine just let me know.

    >
    > Thanks Hajo, but I have no plans for natively targeting AIX 6.1.

    What i would like to test is - if it is possible to restore a mksysb
    from a AIX 4.3.3 machine onto a AIX 6.1 subdir and check if in a
    chroot environment AIX 4.3.3 software can be build.
    If yes the build/test cycle could speed up.

    > My wife kills me, if there is one more black and noisy box and I cannot
    > give away the old. I really love those old RS/6000. Not comparable with
    > the recent plastic boxes...


    The AIX 6.1 box is accessible over the internet. So no local noise. No
    need to give away the old stuff.

    cheers
    Hajo

  9. Re: Firefox 2.0.0.15 for AIX available

    Hajo Ehlers schrieb:

    >>> BTW: In case you need a AIX 6.1 test machine just let me know.

    >> Thanks Hajo, but I have no plans for natively targeting AIX 6.1.

    > What i would like to test is - if it is possible to restore a mksysb
    > from a AIX 4.3.3 machine onto a AIX 6.1 subdir and check if in a
    > chroot environment AIX 4.3.3 software can be build.
    > If yes the build/test cycle could speed up.


    I have a mksysb file on my NIM server from my 43P-150 with all needed
    software for building. One 9GB or 2 4,5GB hdisks are convenient.

    > The AIX 6.1 box is accessible over the internet. So no local noise. No
    > need to give away the old stuff.


    Yep... this sounds very interesting :-)
    If it is not possible with AIX 4.3.3 it could be a good idea to setup a
    AIX 5.2 build environment.

    I run the builds detached with "nohup". For broadest compatibility I use
    VACPP 5.0.2.9 but VACPP 6 works fine too. I have tried with the try&buy
    test version.

    --
    Uli Link

  10. Re: Firefox 2.0.0.15 for AIX available

    On Jul 3, 7:37 pm, Uli Link
    wrote:
    ....
    > If it is not possible with AIX 4.3.3 it could be a good idea to setup a
    > AIX 5.2 build environment.


    I can also provide AIX 5.3 native access. I love micro partitions and
    wpars.

    Just get from http://www.metamodul.com/8.html my email address and
    drop me a mail

    cu
    Hajo

  11. Re: Firefox 2.0.0.15 for AIX available

    Uli Link schrieb:
    > Hajo Ehlers schrieb:
    >
    >> So maybe this ?enhanced? ML11 has the base fileset.

    >
    >
    > Has not. Have searched ftp.boulder.ibm.com first.


    If I understand the logic of ML correctly,
    they never have base filesets. For new devices to be supported
    one needs either a more recent version of the base OS media
    or one of those device driver CDs.
    I.e. AIX 4.3.3 + ML11 is not the same as 4.3.3.11.

    > Thanks Hajo, but I have no plans for natively targeting AIX 6.1.
    > Seamonkey and Firefox both work on AIX 6.1 if the X11R6 compat libs are
    > appended to the shared lib search path. The downward binary
    > compatibility of AIX is reliable.


    and remarkable.
    A couple of days ago I ran an executable built 1991 or so
    under AIX 3 for Power1 on a Power6 box under AIX 6.1.


    > My wife kills me, if there is one more black and noisy box


    Well, I moved the noisy stuff into the basement and keep
    the workstations in a dedicated room.
    Still I here complains every now and then:
    "Why do you need so many PCs ?"
    PCs ! Aargh !


  12. Re: Firefox 2.0.0.15 for AIX available

    Uli Link wrote:
    > Hello,
    >
    >
    > Firefox 2.0.0.15 is released and my builds for AIX 4.3.3 are available.
    >
    >
    > Seamonkey 1.1.10
    >
    >
    > Firefox 2.0.0.16/Seamonkey 1.1.11 is coming very soon. The first release
    > candidate is under testing at the moment. The release date is expect for
    > about mid July.
    >


    What about a version for AIX 5.3 (running on my 44p-170)? Have 1.5.0.12
    installed now.

    Thanks.

  13. Re: Firefox 2.0.0.15 for AIX available

    Huub schrieb:

    >
    > What about a version for AIX 5.3 (running on my 44p-170)? Have 1.5.0.12
    > installed now.
    >


    First: Firefox for AIX 4.3.3 works perfectly on AIX 5.3 too.
    I have reports of successful usage even on AIX 6.1 with only a little
    tweak in the wrapper shell script.

    Second:
    During my efforts for porting Firefox 3 to the AIX platform I have tried
    a more recent build environment, and therefor I will release Firefox
    2.0.0.16/Seamonkey 1.1.11 in GTK2/cairo builds with SVG support for AIX
    5.1 and higher only in addition to the 4.3.3 builds.
    Tested on AIX 5.1ML9 and AIX 5.2TL10 and it will run on AIX 5.3 too.
    If you have the IBM build of Firefox up and running you'll have all
    predependencies met.

    If you compare the GTK1/4.3.3 build with the same version GTK2/AIX 5.1
    you'll find the GUI somewhat fancier. With 512MB RAM minimum the
    performance is on par, the first startup is much faster with GTK1
    because there are only a fraction of shared libs to be loaded before the
    browser's window appears. If you don't need the still very buggy SVG
    support there is no real advantage.

    The main difference to the outdated IBM build: my Firefox/Seamonkey
    builds are 32bit, as I don't see an advantage of 64bit and there are
    still a lot of 32bit-only machines running at somebody's home.

    If you want Firefox built on AIX 5.3 you can compile it from source.
    I will release the ".mozconfig" plus the minimal source patch with the
    binaries. The main work is fixing the buggy GTK2 pkgconfig files from
    the dev rpm :-(


    --
    Uli

  14. Re: Firefox 2.0.0.15 for AIX available

    > First: Firefox for AIX 4.3.3 works perfectly on AIX 5.3 too.
    > I have reports of successful usage even on AIX 6.1 with only a little
    > tweak in the wrapper shell script.


    I have tried to run 2.0.0.15, but with all dependances met (be it a bit
    later versions..), it fails on libgtk.so.0.

    >
    > Second:
    > During my efforts for porting Firefox 3 to the AIX platform I have tried
    > a more recent build environment, and therefor I will release Firefox
    > 2.0.0.16/Seamonkey 1.1.11 in GTK2/cairo builds with SVG support for AIX
    > 5.1 and higher only in addition to the 4.3.3 builds.
    > Tested on AIX 5.1ML9 and AIX 5.2TL10 and it will run on AIX 5.3 too.
    > If you have the IBM build of Firefox up and running you'll have all
    > predependencies met.


    OK.

  15. Re: Firefox 2.0.0.15 for AIX available

    Huub schrieb:
    >> First: Firefox for AIX 4.3.3 works perfectly on AIX 5.3 too.
    >> I have reports of successful usage even on AIX 6.1 with only a little
    >> tweak in the wrapper shell script.

    >
    > I have tried to run 2.0.0.15, but with all dependances met (be it a bit
    > later versions..), it fails on libgtk.so.0.


    You have to install glib-1.2.10 and gtk-1.2.10 rpms as described on my
    webpage


    You have installed glib2 and gtk2 which is NOT compatible. My GTK2
    builds aren't released yet. They will be available for download shortly
    after mozilla.org has released Firefox 2.0.0.16
    Estimated for around the July 15th.

    --
    Uli

  16. Re: Firefox 2.0.0.15 for AIX available


    > You have to install glib-1.2.10 and gtk-1.2.10 rpms as described on my
    > webpage
    >
    >
    > You have installed glib2 and gtk2 which is NOT compatible. My GTK2
    > builds aren't released yet. They will be available for download shortly
    > after mozilla.org has released Firefox 2.0.0.16
    > Estimated for around the July 15th.
    >


    Can I install the packages form your side along with the packages I
    already have installed or do I have to remove them?

  17. Re: Firefox 2.0.0.15 for AIX available

    Huub schrieb:
    >
    >> You have to install glib-1.2.10 and gtk-1.2.10 rpms as described on my
    >> webpage
    >>
    >>
    >> You have installed glib2 and gtk2 which is NOT compatible. My GTK2
    >> builds aren't released yet. They will be available for download
    >> shortly after mozilla.org has released Firefox 2.0.0.16
    >> Estimated for around the July 15th.
    >>

    >
    > Can I install the packages form your side along with the packages I
    > already have installed or do I have to remove them?


    I don't have rpm packages on my website. I have placed links to the ftp
    server at IBM.
    I would recommend that you install glib-1.2.10 and gtk-1.2.10 from your
    AIX toolbox CD or download the package gtk-1.2.10-4 for AIX 5.1 from


    This one is slightly newer than the one I have linked for AIX 4.3.3

    The glib-1.2.10 package linked is the most recent and it works on AIX
    5.3 too.

    Those libs will coexist with glib2/gtk2 without problems.

    --
    Uli

+ Reply to Thread